API Documentation

Integrate AI capabilities into your application with Photai API. REST API and GraphQL support.

Quick Start

Get Your API Key

  1. 1Sign in to your Photai account
  2. 2Go to Settings → API Keys
  3. 3Click "Generate New Key"
  4. 4Copy and securely store your key
curl https://api.photai.com/v1/images/process \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://example.com/image.jpg",
    "operations": ["background_removal"]
  }'

API Endpoints

Process Image

POST /v1/images/process

Perform various image processing operations

Generate Creative

POST /v1/creative/generate

Generate advertising creative variations with AngleLab

Optimize Product Listing

POST /v1/listing/optimize

Optimize e-commerce product listings

Get Usage Statistics

GET /v1/usage

View current month API usage and quotas

Code Examples

import photai

client = photai.Client(api_key="YOUR_API_KEY")

response = client.images.process(
    image_url="https://example.com/image.jpg",
    operations=["background_removal", "enhancement"]
)

print(response.processed_image_url)

Ready to Integrate the API?

Unlock powerful AI features in your application. See the complete API reference documentation.